//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LoyaltyPointEngine.Data
{
    using System;
    using System.Collections.Generic;
    
    public partial class UptradeManage
    {
        public long ID { get; set; }
        public Nullable<long> ProductBefore { get; set; }
        public Nullable<long> ProductAfter { get; set; }
        public Nullable<System.DateTime> StartDate { get; set; }
        public Nullable<System.DateTime> EndDate { get; set; }
        public string Remarks { get; set; }
        public Nullable<long> ChannelID { get; set; }
        public Nullable<long> Point { get; set; }
        public Nullable<long> FlagID { get; set; }
        public Nullable<System.DateTime> CreatedDate { get; set; }
        public string CreatedBy { get; set; }
        public Nullable<System.DateTime> UpdatedDate { get; set; }
        public string UpdatedBy { get; set; }
        public bool IsDeleted { get; set; }
    }
}
